/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;



public class PmDetailBaDto extends PmDetailBsDto {

	private static final long serialVersionUID = -1943024494650451178L;
	
	/**
	 * 課税対象区分。<br>
	 */
	private byte taxationType;
	
	/**
	 * 残業対象区分。<br>
	 */
	private byte overtimeType;
	
	/**
	 * 雇用保険対象区分。<br>
	 */
	private byte ueInsType;
	
	/**
	 * 賞与対象区分。<br>
	 */
	private byte bonusType;
	
	/**
	 * 固定賃金区分。<br>
	 */
	private byte fixedType;
	
	/**
	 * 社会保険対象区分。<br>
	 */
	private byte socInsType;
	
	/**
	 * 食事宿直区分。<br>
	 */
	private byte mealType;
	
	/**
	 * 休職時支給区分。<br>
	 */
	private byte leaveType;

	/**
	 * 賞与対象区分を取得する。
	 * @return 賞与対象区分
	 */
	public byte getBonusType() {
		return bonusType;
	}

	/**
	 * 賞与対象区分を設定する。
	 * @param bonusType 設定する賞与対象区分
	 */
	public void setBonusType(byte bonusType) {
		this.bonusType = bonusType;
	}

	/**
	 * 固定賃金区分を取得する。
	 * @return 固定賃金区分
	 */
	public byte getFixedType() {
		return fixedType;
	}

	/**
	 * 固定賃金区分を設定する。
	 * @param fixedType 設定する固定賃金区分
	 */
	public void setFixedType(byte fixedType) {
		this.fixedType = fixedType;
	}

	/**
	 * 休職時支給区分取得する。
	 * @return 休職時支給区分
	 */
	public byte getLeaveType() {
		return leaveType;
	}

	/**
	 * 休職時支給区分を設定する。
	 * @param leaveType 設定する休職時支給区分
	 */
	public void setLeaveType(byte leaveType) {
		this.leaveType = leaveType;
	}

	/**
	 * 食事宿直区分を取得する。
	 * @return 食事宿直区分
	 */
	public byte getMealType() {
		return mealType;
	}

	/**
	 * 食事宿直区分を設定する。
	 * @param mealType 設定する食事宿直区分
	 */
	public void setMealType(byte mealType) {
		this.mealType = mealType;
	}

	/**
	 * 残業対象区分を取得する。
	 * @return 残業対象区分
	 */
	public byte getOvertimeType() {
		return overtimeType;
	}

	/**
	 * 残業対象区分を設定する。
	 * @param overtimeType 設定する残業対象区分
	 */
	public void setOvertimeType(byte overtimeType) {
		this.overtimeType = overtimeType;
	}

	/**
	 * 社会保険対象区分を取得する。
	 * @return 社会保険対象区分
	 */
	public byte getSocInsType() {
		return socInsType;
	}

	/**
	 * 社会保険対象区分を設定する。
	 * @param socInsType 設定する社会保険対象区分
	 */
	public void setSocInsType(byte socInsType) {
		this.socInsType = socInsType;
	}

	/**
	 * 課税対象区分を取得する。
	 * @return 課税対象区分
	 */
	public byte getTaxationType() {
		return taxationType;
	}

	/**
	 * 課税対象区分を設定する。
	 * @param taxationType 設定する課税対象区分
	 */
	public void setTaxationType(byte taxationType) {
		this.taxationType = taxationType;
	}

	/**
	 * 雇用保険対象区分を取得する。
	 * @return 雇用保険対象区分
	 */
	public byte getUeInsType() {
		return ueInsType;
	}

	/**
	 * 雇用保険対象区分を設定する。
	 * @param ueInsType 設定する雇用保険対象区分
	 */
	public void setUeInsType(byte ueInsType) {
		this.ueInsType = ueInsType;
	}

}
